### Function

# ICalGLib Recurrence weekday_from_string

since: 1.0

#### Declaration [src]

    ICalRecurrenceWeekday
    i_cal_recurrence_weekday_from_string (
      const gchar* str
    )

#### Description [src]

Converts a string representation to an enum representation for the weekday.

Available since: 1.0

#### Parameters

`str`

  Type: `const gchar*`

  The string representation of the weekday.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ICalRecurrenceWeekday`

The enum representation of the weekday.